## report (/v1/report)

this page last updated: 2019-10-20 23:12:05

# report (/v1/report)

class `cloudkittyclient.v1.report.``ReportManager`(api_client)

  Class used to handle /v1/report endpoint.

  `get_summary`(**kwargs)

    Returns a list of summaries.

    Parameters:

    - begin (datetime.datetime) – Begin timestamp
    - end (datetime.datetime) – End timestamp
    - tenant_id (str) – Tenant ID
    - groupby (list) – Fields to group by.
    - all_tenants (bool) – Get summary from all tenants (admin only). Defaults to False.

  `get_tenants`(**kwargs)

    Returns a list of tenants.

    Parameters:

    - begin (datetime.datetime) – Begin timestamp
    - end (datetime.datetime) – End timestamp

  `get_total`(**kwargs)

    Returns the total for the given tenant.

    Parameters:

    - begin (datetime.datetime) – Begin timestamp
    - end (datetime.datetime) – End timestamp
    - tenant_id (str) – Tenant ID
    - all_tenants (bool) – Get total from all tenants (admin only). Defaults to False.

this page last updated: 2019-10-20 23:12:05

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?